## grendel.dnd
Class DragSourceDragEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--grendel.dnd.DragSourceDragEvent

public class DragSourceDragEvent
extends java.util.EventObject

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DragSourceDragEvent(DragSourceContext context, int actions, int modifiers)`

Method Summary
`DragSourceContext` | `getDragSourceContext()`
`int` | `getGestureModifiers()`
`int` | `getTargetActions()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DragSourceDragEvent

    public DragSourceDragEvent(DragSourceContext context,
                               int actions,
                               int modifiers)

Method Detail

### getDragSourceContext

    public DragSourceContext getDragSourceContext()

### getTargetActions

    public int getTargetActions()

### getGestureModifiers

    public int getGestureModifiers()